@dale
Thanks first of all for the solution - and sorry for not posting this earlier.
for brep in out_breps:
# new and improved!
brep.Faces.SplitKinkyFaces(Rhino.RhinoMath.DefaultAngleTolerance, True)
if Rhino.Geometry.BrepSolidOrientation.Inward == brep.SolidOrientation:
brep.Flip()
@dale
Concerning the solution above everything is working fine.
But I have noticed a very strange thing.
Sometimes, when I run the code not all polysurfaces I wanna subtract are subtracted.
It’s not always happening like that, most of the times everything works perfectly fine.
Here’s an example:
This is what it is supposed to look like:
Of course I always check if the code produces a bug and I simply will redo the whole thing.
But in general I would be very interested what the problem could possibly be.
May it have to do with the view that I have to redraw before performing the boolean operation?
Or would the view always have to be oriented towards the “subtractee”?